## batlevel 1.0-1

=== Makefile ===
#############################################################################
# Makefile for building: batlevel-1
# Generated by qmake (2.01a) (Qt 4.6.1) on: Mon Dec 28 16:10:38 2009
# Project:  batlevel-1.0.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile batlevel-1.0.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtSystemInfo_tp -I. -I/targets/FREMANTLE_ARMEL/opt/qt-mobility/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -L/usr/lib -llibQtSystemInfo_tp -L/targets/FREMANTLE_ARMEL/opt/qt-mobility/lib -lQtSystemInfo_tp -L/opt/qt4-maemo5/lib -lQtGui -L/usr/X11R6/lib -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		widget.cpp \
		src/main.cpp \
		src/widget.cpp moc_widget.cpp
OBJECTS       = main.o \
		widget.o \
		main.o \
		widget.o \
		moc_widget.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		batlevel-1.0.pro
QMAKE_TARGET  = batlevel-1
DESTDIR       = 
TARGET        = batlevel-1

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: batlevel-1.0.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile batlevel-1.0.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/mobility.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile batlevel-1.0.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/batlevel-11.0.0 || $(MKDIR) .tmp/batlevel-11.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/batlevel-11.0.0/ && $(COPY_FILE) --parents widget.h src/widget.h .tmp/batlevel-11.0.0/ && $(COPY_FILE) --parents main.cpp widget.cpp src/main.cpp src/widget.cpp .tmp/batlevel-11.0.0/ && (cd `dirname .tmp/batlevel-11.0.0` && $(TAR) batlevel-11.0.0.tar batlevel-11.0.0 && $(COMPRESS) batlevel-11.0.0.tar) && $(MOVE) `dirname .tmp/batlevel-11.0.0`/batlevel-11.0.0.tar.gz . && $(DEL_FILE) -r .tmp/batlevel-11.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_widget.cpp moc_widget.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_widget.cpp moc_widget.cpp
moc_widget.cpp: widget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) widget.h -o moc_widget.cpp

moc_widget.cpp: src/widget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/widget.h -o moc_widget.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp widget.h \
		QSystemDeviceInfo \
		qsysteminfo.h \
		qmobilityglobal.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

widget.o: widget.cpp widget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o widget.o widget.cpp

main.o: src/main.cpp src/widget.h \
		QSystemDeviceInfo \
		qsysteminfo.h \
		qmobilityglobal.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o src/main.cpp

widget.o: src/widget.cpp src/widget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o widget.o src/widget.cpp

moc_widget.o: moc_widget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_widget.o moc_widget.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
batlevel (1.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- rama kurvakat <rkmaemo@gmx.com>  Sat, 26 Dec 2009 08:23:58 -0800

## batlevel 1.0-2

=== debian/changelog ===
batlevel (1.0-2) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- rama kurvakat <rkmaemo@gmx.com>  Sat, 26 Dec 2009 08:23:58 -0800

=== debian/control ===
Source: batlevel
Section: user/desktop
Priority: extra
Maintainer: rama kurvakat <rkmaemo@gmx.com>
Build-Depends: debhelper (>= 5) , libqt4-maemo5-gui , libqt4-maemo5-dev, qtsysteminfo, libx11-dev, libxrender-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev
Standards-Version: 3.8.1
Homepage: <insert the upstream URL, if relevant>

Package: batlevel
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A simple QT based widget to display battery level
 Battery level indicator desktop widget 
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAKoAAABmCAYAAABbXApNAAAAK3RFWHRDcmVh
 dGlvbiBUaW1lAHRvIDEgbG9rYSAyMDA5IDA5OjQ3OjA0ICswMjAwLvIFbgAA
 AAd0SU1FB9kKAQY1Fy6Go0AAAAAJcEhZcwAACxIAAAsSAdLdfvwAAAAEZ0FN
 QQAAsY8L/GEFAAAJ5ElEQVR42u2dTYgbyRXHS1KrZ0bSzoc1wt6AwQQnYXcS
 fAjYzl726s1hMSQnQ3Ly7i3YuSwYYgy2D7kkkFyDcXLKhhxicgj4YrKHPZhl
 glkvC+v1xCSH2Ew839Loo0eavKfu0lR6qrurNK3p+fj/4KHulro0Pfz1Xr1X
 Vd05IUSOLE9WIHOvXLnyrfPnz/+0Vqv9oFgsvuV5Xr3X631DHAKmpqb2dP7a
 2tqe21DbOq6MjY29pJdys9n88tWrV589evTozw8fPvwnHWuRtck6ZF2yHtm2
 SZssUhaoc/LkydKdO3fuViqVq/V63V1ZWREk0qyvGRxiHMcRk5OT/OPvvH79
 +g83btz49ebmJv+CG8IX7JYwFCsL1T179mzl9u3bn5EX+CY1mPX1gSNItVoV
 hULh6+vXr/+IPO0yHdoQvoeVYo2FhVq5f//+r5aWlj5sNBpZXw84wszOzorl
 5eXf3bx58ze0y2JdF75n5W5ArFctXL169dypU6d+Sw0Usr4QcLShsC/OnDnz
 vYWFhUeLi4vcBeC+qlH4d+bm5n5C3tTd3jbq0wKwJ1ZXV91Lly699/Tp03+J
 /++rcnSPFKFDGdo5TpwA2A/W19dFrVabo80S2bjwxcpVp9h+qtPtdr8T5U0f
 PHiQ9XWBQ8zly5d3Het0OmJ6evrbwhepK/yqUy6pLafX652MC/vXrl37mLxu
 23XdDmVtXbLEDA0cX8jx5ckKd+/e/SBGVzWyIpkjdoQaH/pJqIItChZppVJp
 lMvlJm17LFSIFegIRJpvt9sswkhdbW1xl7QvUFWksTis+jiPyp6URTozM1Mn
 wbaLxWLXcRwIFeyCBJj3PK9Qr9fHeD9KV8Fx7pcaiZRJFGo+n++SOL1SqdSe
 mppirwqhAi0sVPKmBelJE4RqLFImUai5XK7HRuJkwXYnJiY4/KOWBXZBYT/H
 ImWt8H6CUK1IFCp/MXnVnjQSLX8YQgW7IG0MtML7+ypUfk8mXEmJFzjehDUS
 pauQhsySKXLXseLj91XjjI1+MVn/T8ABhHUkdSL3oz5ni5FHDXtVAHSYelSE
 fpApmQmVO8f8pfCowARVI6ydfROqGvZVsQKgQ+pD6gahHxxIRhr648TH7lvN
 9qUh6wc6WEdSI7LbGPU5WxzpqnWoYR+hHyRhGvpHVp5C6AcmWIZ+uUxftcFH
 Qq/JWb8uoQJAh6oRg6xf3kuCpwTyBGo+KBf59cTOjP/+h43G+uFRgQmWHpXF
 yctRKsIXI08N3ArMU7b7C/9ikyn56wgnVEimgA6ZTLFW4qJvoVAQt27d+jh8
 jHT1yYsXL3557969z+nQpvDX/bNoe0YFf3hUYIJpwf/ly5dRTbx7+vTpuQsX
 Lvz48ePHfAsg2Q3Yjs36GYz1A1NMQ38ci4uLsxcvXvw5CfUXQgn/iSNTaskB
 QgVxmJanmKj3Wq2WKJfLF2hzUvjhn61jlfVDqCAO09CfBJ17SviJFidYvFI1
 jzoqSI00Qj8TzGflqsBgOXVi1q9m/Jg4DeKQFSLWyF5q7sF5ss7an/1vHPrR
 RwVJqH3UvYT+0HLqPij4g9RIK/TrzkMfFaTGSIWaVEfFDH9gSlpC1a1STbz3
 VHgINRjqyvp/Ag4g6hCq3B+2nTDoo4LUGGnol6WEuJMQ+oEJmQsVQ6jABLU8
 xexr1o/QD0zJvDyFGf7AhLBGUsr6+yRm/br7TiHrBzoyzfpR8AemZBr6UfAH
 pmQ6MgWPCkw5EMkUylMgiczKU3JxX/hmvngcJdChamUv0/y0yRQ3yBYFZ/g8
 vq8asn6gg3UkNSL3h20njLOxsSHq9br2BFb22traIOzzwivXdYf+A8DRhnXC
 j5BsNBoD7QyDFLpK4k3SdGP9ECrQEV61nGroN62jqn8EhAp0qFqR+8O2E8b6
 /qjcP4VQgQ4WmMn9UZOw9qjhkK/eqQ2AMOF5IfvmUZnwDP+kKgE4vkiPuu9j
 /VFPRYFQgY5wHrNvBX9dxg+hgijSyvpTG0KFUIGOtLJ+6/mouqwffVQQRaZZ
 P0I/MGWkod92hj88Kogi86wfdVRgghqBU8/6MdYP0uJAhX4GQgU6Mgv9PK6P
 ZAqYEi5hDivUoQv+CP3AhBFN8+NG4h+Ixh41fFt0BkIFOjLP+uFRgQkY6weH
 gpSz/v4T++Qxq6xfunQIFehQn6LDxOkqYYEoP4OST+4Gr3aPQZfeFEIFOmxC
 f1ylyfO8edrsCPXp0rahH0IFUdiEfp23ZZGeOHFi6cmTJ38U/qMl20I+C9W2
 4C+fIQRAGNPQX61Ww0ui2Xt26fz5Z8+e3Ws2mxz614Uv1uSH9kr3DY8KTDAN
 /RTaxfz8/M9osyF2PKcXvPI+i3SVrBkc33bkF8R9MfqowATT0B8cZ5EuC1+Q
 /SdIC1+ULeELVAqY3fO2w/0ChH6QBqahPzjOQuRbqbwm2xA7yRObp2z7yVTc
 7CmEfmCDaegPhMrCZLHy/aRYqAPvKXxxyjpqvxGrsX7MRwVxmK7rVwr6LMyO
 YtIFb4deh7uHP4QKdEiRGoZ+6TlVDxopROusXx4HIIxp6B9maNWRc06TvhhC
 BUlYZv1W9MtTpqGfBYrQD6KwDP1WOFx8tRnrl8cBCDPS0M/qj1K4WheTk6bh
 UUEUUqiy3p6qR7V9fA8DoQId4cibUEe1InYIVc36w2u2AQij1t0tQr9RP8Bo
 rJ8sT+E/T19OkZ9fIFSwG9JLTtGKTR81UawO9ycSXDFPxc5T4wW2wKPiqWhg
 F6SPgU7ilkuPKvSzOItkY8G9p7oQKtAhhcpa4fmmCR51MI5vAgt1lRqejmqw
 XC5/kPU/ABwO5IQl9cYlOug4T+3bFhZi5ZGpL6nxd3SNPn/+POtrB0eQYrH4
 tdhZuGcm1Far9Y/x8fF3+GlrAOwH5BQXxM6cUyOxOqurq3+q1WofbmxsuFlf
 ADj6uK7bbjabj4U//7S/VkoYiJUztC3yqNP0+n05+gTAqJiZmfnL0tLS34W/
 DIVn+MsFfPFCJXM3Nzc/r1arP6RuwMyw9wsCIAkS6QI5w9+TR/0P7a4If2Y/
 r5FKFCpX7stkk+SS35ydnf2oXq9fJhsb9nYsAKhwFaBUKrUrlcrfKA/6K3Ux
 /02H/0u2JCyFyn3TcbI3yGaowXMTExPv0xd8t9PpvJ31hdpAf/eezqdf+p7b
 UNs6zrBAC4XCF/l8/rnneZ+urKx8JfxQz6Up6U0Hy6GFgVA5/HM9lcVaEr5g
 3wi2+VhRBKNTWV88OFTIpSVyvT6XleqB8XYreM8o688FxiLs91eFL062sWBf
 ChUD/MAGuRaKwzpn963AZLZvXJpicsqr9K7SwzrKfk5AqMAOGc6lWKV1xc6y
 aONEKKfZlt5TvkKkYFjUYVJ1xal8z5j/AWYbD70jVn7UAAAAAElFTkSuQmCC

## batlevel 1.0-3

=== Makefile ===
#############################################################################
# Makefile for building: batlevel-1
# Generated by qmake (2.01a) (Qt 4.6.1) on: Fri Jan 1 13:57:35 2010
# Project:  batlevel-1.0.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile batlevel-1.0.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtSystemInfo_tp -I. -I/targets/FREMANTLE_X86/opt/qt-mobility/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -L/usr/lib -llibQtSystemInfo_tp -L/targets/FREMANTLE_X86/opt/qt-mobility/lib -lQtSystemInfo_tp -L/opt/qt4-maemo5/lib -lQtGui -L/usr/X11R6/lib -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		widget.cpp \
		src/main.cpp \
		src/widget.cpp moc_widget.cpp
OBJECTS       = main.o \
		widget.o \
		main.o \
		widget.o \
		moc_widget.o
DIST          = /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		batlevel-1.0.pro
QMAKE_TARGET  = batlevel-1
DESTDIR       = 
TARGET        = batlevel-1

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: batlevel-1.0.pro  /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile batlevel-1.0.pro
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/mobility.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile batlevel-1.0.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/batlevel-11.0.0 || $(MKDIR) .tmp/batlevel-11.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/batlevel-11.0.0/ && $(COPY_FILE) --parents widget.h src/widget.h .tmp/batlevel-11.0.0/ && $(COPY_FILE) --parents main.cpp widget.cpp src/main.cpp src/widget.cpp .tmp/batlevel-11.0.0/ && (cd `dirname .tmp/batlevel-11.0.0` && $(TAR) batlevel-11.0.0.tar batlevel-11.0.0 && $(COMPRESS) batlevel-11.0.0.tar) && $(MOVE) `dirname .tmp/batlevel-11.0.0`/batlevel-11.0.0.tar.gz . && $(DEL_FILE) -r .tmp/batlevel-11.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_widget.cpp moc_widget.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_widget.cpp moc_widget.cpp
moc_widget.cpp: widget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) widget.h -o moc_widget.cpp

moc_widget.cpp: src/widget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/widget.h -o moc_widget.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp widget.h \
		QSystemDeviceInfo \
		qsysteminfo.h \
		qmobilityglobal.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

widget.o: widget.cpp widget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o widget.o widget.cpp

main.o: src/main.cpp src/widget.h \
		QSystemDeviceInfo \
		qsysteminfo.h \
		qmobilityglobal.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o src/main.cpp

widget.o: src/widget.cpp src/widget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o widget.o src/widget.cpp

moc_widget.o: moc_widget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_widget.o moc_widget.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
batlevel (1.0-3) unstable; urgency=low

  * The qtsysteminfo dependency has been optified

 -- rama kurvakat <rkmaemo@gmx.com>  Sat, 02 Jan 2010 13:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/desktop
 Priority: extra
 Maintainer: rama kurvakat <rkmaemo@gmx.com>
-Build-Depends: debhelper (>= 5) , libqt4-maemo5-gui , libqt4-maemo5-dev, qtsysteminfo, libx11-dev, libxrender-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev
+Build-Depends: debhelper (>= 5) , libqt4-maemo5-gui , qtsysteminfo, libqt4-maemo5-dev, libx11-dev, libxrender-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev
 Standards-Version: 3.8.1
 Homepage: <insert the upstream URL, if relevant>

## batlevel 2.0-1

=== debian/changelog ===
batlevel (2.0-1) unstable; urgency=low

  * ver 1.0-3 - The qtsysteminfo dependency has been optified
  * ver 2.0-1 - Added styles,colors to settings and detailed info on tap

 -- rama kurvakat <rkmaemo@gmx.com>  Sat, 02 Jan 2010 13:00:00 +0000

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := batlevel

builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into
	#debian/batlevel
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

# Build architecture-independent files here.
binary-indep: build install

# We have nothing to do by default.
# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## batlevel 2.0-2

=== debian/changelog ===
batlevel (2.0-2) unstable; urgency=low

  * ver 1.0-3 - The qtsysteminfo dependency has been optified
  * ver 2.0-1 - Added styles,colors to settings and detailed info on tap
  * ver 2.0-2 - QT4.6 TP changed so had to change app again to make scrolling
    work

 -- rama kurvakat <rkmaemo@gmx.com>  Sat, 02 Jan 2010 13:00:00 +0000

=== debian/control ===
Source: batlevel
Section: user/desktop
Priority: extra
Maintainer: rama kurvakat <rkmaemo@gmx.com>
Build-Depends: debhelper (>= 5) , libqt4-maemo5-gui , qtsysteminfo, libqt4-maemo5-dev, libx11-dev, libxrender-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev
#Build-Depends: debhelper (>= 5) 
Standards-Version: 3.8.1
Homepage: <insert the upstream URL, if relevant>

Package: batlevel
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A QT based widget to display battery level
 Styles and colors can be changed using settings now.
 On tapping the battery icon , it displays more detailed information
 Finally, if you already dont have it on your phone, the app
 downloads some QT libs as dependency so dont be overwelmhed by the size.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsQAAA7EAZUrDhsAAAJ0SURB
 VEhL1ZZvbxJBEMZ/d9e7UmgRkELwhQoawGr7AcoX9bM0vrOJaXxlY0y0RvnT
 plAJECj/y52zVzVKF3LB1sRJJpPb291n57nnZtbwxPgHZgbFyOfzbGyESKdT
 JJNJbNumUCgEXY4WqN/vk8lkME2TSCRCNBplOBhwfHxMo3FBs9nk1cEBs9mM
 cDhMKBTCMAxS6TSXslZnho66bDZLIhGjVCqx+2KPQrFILpfzN1SuuJ6MRozH
 Y+r1Oqe1GrVqldeHh7w5OqJSqdzA0mZULpdxbIfBYEiv16PT6dBqtZhOpz5l
 jrgCUWPtdptut+vPS6dSVAVQZ1ogRRlybmNuhbDjg00mE+1mruuyZlnBgfyZ
 Wi3OQwfWgl4M1zgGrriHhWesSbQl2mA6v7l6Fpf3GJKJsVjE2jfqz9p0POLr
 U+45PbbMJiHvlLXJFxieQP8TDD5LLIvXZOwcRk3xthxRn7VWdaZpUcq47D6C
 Z4/hicSHGdhOQiQs2V5Br4OIARrf4PwCTutwJvHle1u+481vqM1I/RNTJWE5
 nPIrmTUTdjxxhDnW51yNKVfvF9hCUhUBvv9gwg+ra2GxGILrKdjM5bVuUQZL
 y7B+0XKgRRsupVC/KHD1DkbQCmL4243n199BRqt8o1tM6w4y+q/E8POwK1xn
 tNS57kzbklRVNxP7WPF9pIfcMFPVxSupuBrTAj0t7DCSqhqRVrMVgngE7kch
 FYew8db37ZiMbUJMqnlUiuyWzD27hFx+RwukbROqVRef73H29aNcRhwsy5Qb
 kRzXb2zXvHmSket6zKR9qzgeT3iQLXLy4R2Oo0r5n6YFukVV/9rqO0Hb27SJ
 qJObAAAAAElFTkSuQmCC

## batlevel 2.0-3

=== debian/changelog ===
batlevel (2.0-3) unstable; urgency=low

  * ver 1.0-3 - The qtsysteminfo dependency has been optified
  * ver 2.0-1 - Added styles,colors to settings and detailed info on tap
  * ver 2.0-2 - QT4.6 TP changed so had to change app again to make scrolling
    work
  * ver 2.0-3 - Typo corrected from BACKROUND to BACKGROUND color.

 -- rama kurvakat <rkmaemo@gmx.com>  Sat, 02 Jan 2010 13:00:00 +0000

## batlevel 2.0-4

=== debian/changelog ===
batlevel (2.0-4) unstable; urgency=low

  * ver 1.0-3 - The qtsysteminfo dependency has been optified
  * ver 2.0-1 - Added styles,colors to settings and detailed info on tap
  * ver 2.0-2 - QT4.6 TP changed so had to change app again to make scrolling
    work
  * ver 2.0-3 - Typo corrected from BACKROUND to BACKGROUND color.
  * ver 2.0-4 - Optified and fixed a missing script(run_lshal)

 -- rama kurvakat <rkmaemo@gmx.com>  Sat, 02 Jan 2010 13:00:00 +0000

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	mkdir -p builddir
 
 builddir/Makefile: builddir
-	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/usr ../$(APPNAME).pro
+	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/opt ../$(APPNAME).pro
 
 build: build-stamp

## batlevel 2.0-5

=== debian/changelog ===
batlevel (2.0-5) unstable; urgency=low

  * ver 1.0-3 - The qtsysteminfo dependency has been optified
  * ver 2.0-1 - Added styles,colors to settings and detailed info on tap
  * ver 2.0-2 - QT4.6 TP changed so had to change app again to make scrolling
    work
  * ver 2.0-3 - Typo corrected from BACKROUND to BACKGROUND color.
  * ver 2.0-4 - Optified and fixed a missing script(run_lshal)

 -- rama kurvakat <rkmaemo@gmx.com>  Sat, 02 Jan 2010 13:00:00 +0000

## batlevel 2.0-6

=== debian/changelog ===
batlevel (2.0-6) unstable; urgency=low

  * ver 1.0-3 - The qtsysteminfo dependency has been optified
  * ver 2.0-1 - Added styles,colors to settings and detailed info on tap
  * ver 2.0-2 - QT4.6 TP changed so had to change app again to make scrolling
    work
  * ver 2.0-3 - Typo corrected from BACKROUND to BACKGROUND color.
  * ver 2.0-4 - Optified and fixed a missing script(run_lshal)
  * ver 2.0-5 - changes due to optification
  * ver 2.0-6 - changes due to optification

 -- rama kurvakat <rkmaemo@gmx.com>  Sat, 02 Jan 2010 13:00:00 +0000

## batlevel 2.0-7

=== Makefile ===
#############################################################################
# Makefile for building: batlevel-1
# Generated by qmake (2.01a) (Qt 4.6.1) on: Mon Jan 18 12:32:55 2010
# Project:  batlevel-1.0.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile batlevel-1.0.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtSystemInfo_tp -I. -I../../qt-mobility-src/ARM/qt-mobility-src-1.0.0-tp2/install/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -L/usr/lib -llibQtSystemInfo_tp -L/home/ram/qt-mobility-src/ARM/qt-mobility-src-1.0.0-tp2/install/lib -lQtSystemInfo_tp -L/opt/qt4-maemo5/lib -lQtGui -L/usr/X11R6/lib -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		widget.cpp \
		src/main.cpp \
		src/widget.cpp moc_widget.cpp
OBJECTS       = main.o \
		widget.o \
		main.o \
		widget.o \
		moc_widget.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		batlevel-1.0.pro
QMAKE_TARGET  = batlevel-1
DESTDIR       = 
TARGET        = batlevel-1

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: batlevel-1.0.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile batlevel-1.0.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/mobility.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile batlevel-1.0.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/batlevel-11.0.0 || $(MKDIR) .tmp/batlevel-11.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/batlevel-11.0.0/ && $(COPY_FILE) --parents widget.h src/widget.h .tmp/batlevel-11.0.0/ && $(COPY_FILE) --parents main.cpp widget.cpp src/main.cpp src/widget.cpp .tmp/batlevel-11.0.0/ && (cd `dirname .tmp/batlevel-11.0.0` && $(TAR) batlevel-11.0.0.tar batlevel-11.0.0 && $(COMPRESS) batlevel-11.0.0.tar) && $(MOVE) `dirname .tmp/batlevel-11.0.0`/batlevel-11.0.0.tar.gz . && $(DEL_FILE) -r .tmp/batlevel-11.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_widget.cpp moc_widget.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_widget.cpp moc_widget.cpp
moc_widget.cpp: widget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) widget.h -o moc_widget.cpp

moc_widget.cpp: src/widget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/widget.h -o moc_widget.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp widget.h \
		QSystemDeviceInfo \
		qsysteminfo.h \
		qmobilityglobal.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

widget.o: widget.cpp widget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o widget.o widget.cpp

main.o: src/main.cpp src/widget.h \
		QSystemDeviceInfo \
		qsysteminfo.h \
		qmobilityglobal.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o src/main.cpp

widget.o: src/widget.cpp src/widget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o widget.o src/widget.cpp

moc_widget.o: moc_widget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_widget.o moc_widget.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
batlevel (2.0-7) unstable; urgency=low

  * ver 1.0-3 - The qtsysteminfo dependency has been optified
  * ver 2.0-1 - Added styles,colors to settings and detailed info on tap
  * ver 2.0-2 - QT4.6 TP changed so had to change app again to make scrolling
    work
  * ver 2.0-3 - Typo corrected from BACKROUND to BACKGROUND color.
  * ver 2.0-4 - Optified and fixed a missing script(run_lshal)
  * ver 2.0-5 - changes due to optification
  * ver 2.0-7 - changes due to optification

 -- rama kurvakat <rkmaemo@gmx.com>  Sat, 02 Jan 2010 13:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/desktop
 Priority: extra
 Maintainer: rama kurvakat <rkmaemo@gmx.com>
-Build-Depends: debhelper (>= 5) , libqt4-maemo5-gui , qtsysteminfo, libqt4-maemo5-dev, libx11-dev, libxrender-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev
+Build-Depends: debhelper (>= 5) , libqt4-maemo5-gui , qtsysteminfo, libqt4-maemo5-dev, libx11-dev, libxrender-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev 
 #Build-Depends: debhelper (>= 5) 
 Standards-Version: 3.8.1
 Homepage: <insert the upstream URL, if relevant>
